dma_pool_destroy
Prev | More Memory Management Functions | Next

## Name

dma_pool_destroy — destroys a pool of dma memory blocks.

## Synopsis

`void dma_pool_destroy (` | struct dma_pool * | pool`)`;

## Arguments

`pool`

  dma pool that will be destroyed

## Context

!`in_interrupt`

## Description

Caller guarantees that no more memory from the pool is in use, and that nothing will try to use the pool after this call.

Prev | Up | Next
dma_pool_create | Home | dma_pool_alloc